Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityWitch

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityLiving
              net.minecraft.src.EntityCreature
                  net.minecraft.src.EntityMob
                      net.minecraft.src.EntityWitch

All Implemented Interfaces:
  IAnimals, IMob, IRangedAttackMob

    public class EntityWitch

extends EntityMob
implements IRangedAttackMob

Field Summary

Fields inherited from class net.minecraft.src.EntityLiving
`arrowHitTempCounter, arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_82173_br, field_82175_bq, field_82181_as, hurtTime, isJumping, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, tasks`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Fields inherited from interface net.minecraft.src.IMob
`field_82192_a`

Constructor Summary
`EntityWitch(World par1World)`

Method Summary
`void` | `func_82196_d(EntityLiving par1EntityLiving)`
`void` | `func_82197_f(boolean par1)`
`boolean` | `func_82198_m()`
`int` | `getMaxHealth()`
`float` | `getSpeedModifier()` This method returns a value to be applied directly to entity speed, this factor is less than 1 when a slowdown potion effect is applied, more than 1 when a haste potion effect is applied and 2 for fleeing entities.
`void` | `handleHealthUpdate(byte par1)`
`boolean` | `isAIEnabled()` Returns true if the newer Entity AI code should be run
`void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.

Methods inherited from class net.minecraft.src.EntityMob
`attackEntityAsMob, attackEntityFrom, func_82193_c, getBlockPathWeight, getCanSpawnHere, onUpdate`

Methods inherited from class net.minecraft.src.EntityCreature
`getEntityToAttack, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.src.EntityLiving
`addPotionEffect, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_70062_b, func_70079_am, func_82143_as, func_82159_b, func_82161_a, func_82163_bD, func_82165_m, func_82169_q, func_82170_o, func_82171_bF, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getAttackTarget, getCreatureAttribute, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTalkInterval, getTexture, getTotalArmorValue, getVerticalFaceSpeed, hasHome, heal, isBlocking, isChild, isEntityAlive, isEntityUndead, isExplosiveMob, isOnLadder, isPlayerSleeping, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, readEntityFromNBT, removePotionEffect, renderBrokenItemStack, setAIMoveSpeed, setAttackTarget, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, spawnExplosionParticle, swingItem, updateRidden, writeEntityToNBT`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82141_a, func_82142_c, func_82144_au, func_82145_z, func_82146_a, func_82147_ab, func_82148_at, func_82149_j, func_82150_aj, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, onStruckByLightning, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToTheEnd, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityWitch

    public EntityWitch(World par1World)

Method Detail

### func_82197_f

    public void func_82197_f(boolean par1)

### func_82198_m

    public boolean func_82198_m()

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### isAIEnabled

    public boolean isAIEnabled()

  Returns true if the newer Entity AI code should be run

### onLivingUpdate

    public void onLivingUpdate()

  Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.

  Overrides:
    `onLivingUpdate` in class `EntityMob`

### handleHealthUpdate

    public void handleHealthUpdate(byte par1)

  Overrides:
    `handleHealthUpdate` in class `EntityLiving`

### getSpeedModifier

    public float getSpeedModifier()

  This method returns a value to be applied directly to entity speed, this factor is less than 1 when a slowdown potion effect is applied, more than 1 when a haste potion effect is applied and 2 for fleeing entities.

  Overrides:
    `getSpeedModifier` in class `EntityCreature`

### func_82196_d

    public void func_82196_d(EntityLiving par1EntityLiving)

  Specified by:
    `func_82196_d` in interface `IRangedAttackMob`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD